> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Создать шаблон

> Создаёт новый шаблон



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json post /v0/templates/create
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/templates/create:
    post:
      tags:
        - templates
      summary: Создать шаблон
      description: Создаёт новый шаблон
      operationId: create_template_v0_templates_create_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVastTemplate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponse_TemplateResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthApiKey: []
components:
  schemas:
    UpdateVastTemplate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        image_tag:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Tag
        docker_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Username
        docker_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Password
        docker_registry:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Registry
        env:
          anyOf:
            - type: string
            - type: 'null'
          title: Env
        use_ssh:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Ssh
        use_jupyter:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Jupyter
        direct_ssh:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Direct Ssh
        jupyter_directory:
          anyOf:
            - type: string
            - type: 'null'
          title: Jupyter Directory
        use_jupyter_lab:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Jupyter Lab
        on_start_command:
          anyOf:
            - type: string
            - type: 'null'
          title: On Start Command
        recommended_disk_space:
          anyOf:
            - type: integer
            - type: 'null'
          title: Recommended Disk Space
        is_private:
          type: boolean
          title: Is Private
          default: false
        ssh_username:
          type: string
          title: Ssh Username
          default: root
      type: object
      title: UpdateVastTemplate
    OkResponse_TemplateResponse_:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          anyOf:
            - $ref: '#/components/schemas/TemplateResponse'
            - type: 'null'
      type: object
      title: OkResponse[TemplateResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TemplateResponse:
      properties:
        id:
          type: string
          title: Id
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        image:
          type: string
          title: Image
        image_tag:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Tag
          default: latest
        docker_login:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Login
        env:
          anyOf:
            - type: string
            - type: 'null'
          title: Env
        use_ssh:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Ssh
          default: false
        use_jupyter:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Jupyter
          default: false
        direct_ssh:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Direct Ssh
          default: false
        jupyter_directory:
          anyOf:
            - type: string
            - type: 'null'
          title: Jupyter Directory
        use_jupyter_lab:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Jupyter Lab
          default: false
        on_start_command:
          anyOf:
            - type: string
            - type: 'null'
          title: On Start Command
        search_params:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Params
        recommended_disk_space:
          anyOf:
            - type: integer
            - type: 'null'
          title: Recommended Disk Space
        href:
          anyOf:
            - type: string
            - type: 'null'
          title: Href
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        is_private:
          type: boolean
          title: Is Private
          default: false
        ssh_username:
          type: string
          title: Ssh Username
          default: root
      type: object
      required:
        - id
        - image
      title: TemplateResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.